package org.rcisoft;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@EnableTransactionManagement
@EnableAspectJAutoProxy
@EnableScheduling
@EnableAsync
@EnableGlobalMethodSecurity(prePostEnabled=true)
@MapperScan(basePackages = {"org.rcisoft.**.dao"})//扫描dao 不需要@repository
public class CustApplication {
    public static void main(String[] args) {
        SpringApplication.run(CustApplication.class, args);
    }

}
