package org.rcisoft.app.appArticle.controller;


/*固定导入*/

import io.swagger.v3.oas.annotations.Operation;
import org.rcisoft.business.opmArticle.entity.OpmArticle;
import org.rcisoft.business.opmArticle.service.OpmArticleService;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.model.CyGridModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
* Created by cy on 2024年3月30日 下午1:51:15.
*/
@RestController
@RequestMapping("/app")
public class AppOpmArticleController extends CyPaginationController<OpmArticle> {


    @Autowired
    private OpmArticleService opmArticleServiceImpl;

    /**
     * 动态-动态列表
     */
    @PreAuthorize("@cyPerm.hasPerm('app:article:list')")
    @CyOpeLogAnno(title = "system-动态管理-查询动态列表", businessType = CyLogTypeEnum.QUERY)
    @Operation(summary="分页查询动态列表集合", description="分页查询动态列表集合")
    @GetMapping(value = "/open/opmArticle/queryArticleByPagination")
    public CyGridModel listByPagination(OpmArticle opmArticle) {
        opmArticleServiceImpl.findAllByPagination(getPaginationUtility(), opmArticle);
        return getGridModelResponse();
    }

}
