package org.rcisoft.app.appBanner.controller;


/*固定导入*/

import io.swagger.v3.oas.annotations.Operation;
import org.rcisoft.business.cmsBanner.entity.CmsBanner;
import org.rcisoft.business.cmsBanner.service.CmsBannerService;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.model.CyGridModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
* Created by cy on 2024年3月30日 下午1:51:15.
*/
@RestController
@RequestMapping("/app")
public class AppBannerController extends CyPaginationController<CmsBanner> {


    @Autowired
    private CmsBannerService cmsBannerServiceImpl;

    /**
     * 首页-查看banner图
     * 活动-查看banner图
     */
    @PreAuthorize("@cyPerm.hasPerm('app:banner:query')")
    @CyOpeLogAnno(title = "system-banner管理管理-查询banner管理", businessType = CyLogTypeEnum.QUERY)
    @Operation(summary="分页查询banner管理集合", description="分页查询banner管理集合")
    @GetMapping(value = "/open/cmsBanner/queryCmsBannerByPagination")
    public CyGridModel listByPagination(CmsBanner cmsBanner) {
        cmsBannerServiceImpl.findAllByPagination(getPaginationUtility(), cmsBanner);
        return getGridModelResponse();
    }

}
