package org.rcisoft.app.appOrder.controller;


/*固定导入*/

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.drew.imaging.ImageMetadataReader;
import com.drew.metadata.Metadata;
import com.drew.metadata.exif.ExifIFD0Directory;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.Parameters;
import io.swagger.v3.oas.annotations.media.Schema;
import org.jdom.JDOMException;
import org.rcisoft.business.cmsOrder.entity.CmsOrder;
import org.rcisoft.business.cmsOrder.service.CmsOrderService;
import org.rcisoft.business.memInfo.entity.MemInfo;
import org.rcisoft.business.memInfo.service.MemInfoService;
import org.rcisoft.core.anno.CyEncryptSm4Anno;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.component.CyGlobal;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.exception.CyServiceException;
import org.rcisoft.core.model.CyGridModel;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.result.enums.CyResSysExcEnum;
import org.rcisoft.core.service.CyFileStorageService;
import org.rcisoft.core.util.CyResultGenUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.imageio.ImageIO;
import javax.validation.Valid;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.util.Arrays;

/**
* Created by cy on 2024年12月20日 下午3:35:34.
*/
@RestController
@RequestMapping("/app")
public class AppOrderController extends CyPaginationController<CmsOrder> {

    @Autowired
    private CmsOrderService cmsOrderServiceImpl;


    @CyOpeLogAnno(title = "system-订单信息表管理-活动下单", businessType = CyLogTypeEnum.INSERT)
    @Operation(summary="活动下单", description="活动下单")
    @PostMapping(value = "/order/add")
    public CyResult add(@Valid CmsOrder cmsOrder, BindingResult bindingResult) {
        CyPersistModel data = cmsOrderServiceImpl.persist(cmsOrder);
        return CyResultGenUtil.builder(data,
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                cmsOrder);
    }

    @CyOpeLogAnno(title = "system-订单管理-活动取消", businessType = CyLogTypeEnum.UPDATE)
    @Operation(summary = "活动取消", description = "活动取消")
    @PostMapping(value = "/order/cancel")
    public CyResult cancel(@RequestBody CmsOrder orderInfo) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                cmsOrderServiceImpl.cancel(orderInfo));
    }

    @Operation(summary="查询会员我的订单列表", description="查询会员我的订单列表")
    @GetMapping("/order/selectOrderUserByPagination")
    public CyGridModel selectOrderUserByPagination(CmsOrder orderInfo)
    {
        cmsOrderServiceImpl.selectOrderUserByPagination(getPaginationUtility(), orderInfo);
        return getGridModelResponse();
    }


}
