package org.rcisoft.app.pay.service;

import com.alibaba.fastjson.JSONObject;
import org.jdom.JDOMException;
import org.rcisoft.business.cmsOrder.entity.CmsOrder;
import org.rcisoft.core.model.CyPersistModel;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * Created with family.
 * author: cy
 * Date: 2021/5/10
 * Time: 3:41 PM
 * description:
 */
public interface WxPayService {


    JSONObject wxPay(Long orderId, Long activityId, HttpServletRequest request) throws IOException, JDOMException;

    void wxNotify(HttpServletRequest request, HttpServletResponse response)  throws IOException, JDOMException;

    void notifyRefundCallBack(HttpServletRequest request, HttpServletResponse response) throws Exception;

    /**
     * 小程序调用wx.requestPayment(OBJECT)发起微信支付成功后更新订单状态
     * @param orderId
     * @param activityId
     * @param request
     * @return
     */
    CyPersistModel updateOrderStatus(Long orderId, Long activityId);

    //主动查询微信订单状态
    String selectWxOrderStatus(String orderNo) throws IOException, JDOMException;

    //申请退款
    String refundOrder(CmsOrder orderNo);

    //主动查询微信订单退款状态
    String selectWxOrderRefundStatus(String transactionId) throws IOException, JDOMException;
}
