package org.rcisoft.business.cmsActivity.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.junit.jupiter.params.shadow.com.univocity.parsers.annotations.Format;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Created with cy on 2024年3月25日 下午1:42:40.
 *
 * @author wangFeilong
 */
@Data
@TableName("cms_activity")
public class CmsActivity extends CyIdIncreEntity<CmsActivity> {

    /**
     * @desc 创建人
     * @column create_by
     * @default
     */
    @Excel(name = "创建人")
    @TableField("create_by")
    private String createBy;

    /**
     * @desc 创建时间
     * @column create_date
     * @default
     */
    @Excel(name = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField("create_date")
    private Date createDate;
    /**
     * @desc 更新人
     * @column update_by
     * @default
     */
    @Excel(name = "更新人")
    @TableField("update_by")
    private String updateBy;

    /**
     * @desc 更新时间
     * @column update_date
     * @default
     */
    @Excel(name = "更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField("update_date")
    private Date updateDate;
    /**
     * @desc 启动状态（0禁用、1启动）
     * @column flag
     * @default
     */
    @Excel(name = "启动状态（0禁用、1启动）")
    @TableField("flag")
    private String flag;

    /**
     * @desc 删除标志（0删除，1已删除）
     * @column del_flag
     * @default
     */
    @Excel(name = "删除标志（0删除，1已删除）")
    @TableField("del_flag")
    private String delFlag;
    /**
     * @desc 备注
     * @column remarks
     * @default
     */
    @JsonIgnore
    @Excel(name = "备注")
    @TableField("remarks")
    private String remarks;
    /**
     * @desc 活动标题
     * @column title
     * @default
     */
    @Excel(name = "活动标题")
    private String title;

    /**
     * @desc 内容
     * @column details
     * @default
     */
    @Excel(name = "内容")
    private String details;

    /**
     * @desc 摘要
     * @column summary
     * @default
     */
    @Excel(name = "摘要")
    private String summary;

    /**
     * @desc 权重(排序)
     * @column weight
     * @default
     */
    @Excel(name = "权重(排序)")
    private Integer weight;

    /**
     * @desc 封面
     * @column picture_id
     * @default
     */
    @Excel(name = "封面")
    private Integer pictureId;

    /**
     * @desc 男生数量
     * @column male_count
     * @default
     */
    @Excel(name = "男生数量")
    private Integer maleCount;

    /**
     * @desc 女生数量
     * @column female_count
     * @default
     */
    @Excel(name = "女生数量")
    private Integer femaleCount;

    /**
     * @desc 报名人数
     * @column application_count
     * @default
     */
    @Excel(name = "报名人数")
    private Integer applicationCount;

    /**
     * @desc 报名人数上限
     * @column max_application_count
     * @default
     */
    @Excel(name = "报名人数上限")
    private Integer maxApplicationCount;

    /**
     * @desc 报名所需费用
     * @column application_fee
     * @default
     */
    @Excel(name = "报名所需费用")
    private BigDecimal  applicationFee;


    /**
     * @desc 发布日期
     * @column publish_date
     * @default
     */
    @Excel(name = "发布日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date publishDate;

    /**
     * @desc 发布状态（1启用、0禁用）
     * @column publish_status
     * @default
     */
    @Excel(name = "发布状态（1启用、0禁用）", orderNum = "11", width = 20)
    private String publishStatus;

    /**
     * @desc 是否置顶
     * @column is_top
     * @default
     */
    @Excel(name = "是否置顶")
    private Integer isTop;

    /**
     * @desc 是否推荐
     * @column is_recommended
     * @default
     */
    @Excel(name = "是否推荐")
    private Integer isRecommended;



    /**
     * @desc 是否需要报名
     * @column is_application
     * @default
     */
    @Excel(name = "是否需要报名")
    private Integer isApplication;

    /**
     * @desc 是否需要实名认证
     * @column is_authentication
     * @default
     */
    @Excel(name = "是否需要实名认证")
    private Integer isAuthentication;

    /**
     * @desc 是否会员
     * @column s_need_member
     * @default
     */
    @Excel(name = "是否会员")
    private Integer isNeedMember;
    /**
     * 开始时间
     * start_time
     */
    @Excel(name = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date startTime;

    /**
     * 结束时间
     * end_time
     */
    @Excel(name = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date endTime;

    /**
     * 开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginTime;

    /**
     * 结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String overTime;

    @TableField(exist = false)
    private String nickName;

    @TableField(exist = false)
    private String url;



}


