package org.rcisoft.business.cmsApplication.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.apache.poi.hpsf.Decimal;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Created with cy on 2024年3月25日 下午1:42:40.
 *
 * @author
 */
@Data
@TableName("cms_application")
public class CmsApplication extends CyIdIncreEntity<CmsApplication> {


    /**
     * @desc 用户id
     * @column user_id
     * @default
     */
    @Excel(name = "用户id")
    @TableField("user_id")
    private Integer userId;

    /**
     * @desc 活动id
     * @column activity_id
     * @default
     */
    @Excel(name = "活动id")
    @TableField("activity_id")
    private Integer activityId;

    /**
     * @desc 用户姓名
     * @column name
     * @default
     */
    @Excel(name = "用户姓名")
    @TableField("name")
    private String  name;

    /**
     * @desc 用户手机号码
     * @column phone
     * @default
     */
    @Excel(name = "用户手机号码")
    @TableField("phone")
    private String phone;

    /**
     * @desc 报名状态（1报名、2取消报名、3已退费）
     * @column status
     * @default
     */
    @Excel(name = "报名状态（1报名、2取消报名、3已退费）")
    @TableField("status")
    private String status;

    /**
     * @desc 用户所交费用
     * @column application_fee
     * @default
     */
    @Excel(name = "用户所交费用")
    @TableField("application_fee")
    private BigDecimal applicationFee;



}


