package org.rcisoft.business.cmsNotice.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Created with cy on 2024年3月25日 下午1:42:40.
 *
 * @author
 */
@Data
@TableName("cms_notice")
public class CmsNotice extends CyIdIncreEntity<CmsNotice> {

    /**
     * @desc 创建人
     * @column create_by
     * @default
     */
    @Excel(name = "创建人")
    @TableField("create_by")
    private String createBy;

    /**
     * @desc 创建时间
     * @column create_date
     * @default
     */
    @Excel(name = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField("create_date")
    private Date createDate;
    /**
     * @desc 更新人
     * @column update_by
     * @default
     */
    @Excel(name = "更新人")
    @TableField("update_by")
    private String updateBy;

    /**
     * @desc 更新时间
     * @column update_date
     * @default
     */
    @Excel(name = "更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField("update_date")
    private Date updateDate;

    /**
     * @desc 备注
     * @column remarks
     * @default
     */
    @JsonIgnore
    @Excel(name = "备注")
    @TableField("remarks")
    private String remarks;

    /**
     * @desc 启动状态（0禁用、1启动）
     * @column flag
     * @default
     */
    @Excel(name = "启动状态（0禁用、1启动）")
    @TableField("flag")
    private String flag;

    /**
     * @desc 删除标志（0删除，1已删除）
     * @column del_flag
     * @default
     */
    @Excel(name = "删除标志（0删除，1已删除）")
    @TableField("del_flag")
    private String delFlag;

    /**
     * @desc 标题
     * @column title
     * @default
     */
    @Excel(name = "标题")
    private String title;

    /**
     * @desc 封面
     * @column picture_id
     * @default
     */
    @Excel(name = "封面")
    private Integer pictureId;

    /**
     * @desc 是否置顶
     * @column is_top
     * @default
     */
    @Excel(name = "是否置顶")
    private Integer isTop;

    /**
     * @desc 是否推荐
     * @column is_recommended
     * @default
     */
    @Excel(name = "是否推荐")
    private Integer isRecommended;

    /**
     * @desc 排序
     * @column weight
     * @default
     */
    @Excel(name = "排序")
    private Integer weight;

    /**
     * @desc 发布日期
     * @column publish_date
     * @default
     */
    @Excel(name = "发布日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date publishDate;


    /**
     * @desc 内容
     * @column details
     * @default
     */
    @Excel(name = "内容")
    private String details;

    /**
     * @desc 摘要
     * @column summary
     * @default
     */
    @Excel(name = "摘要")
    private String summary;

    /**
     * 开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginTime;

    /**
     * 结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endTime;

    @TableField(exist = false)
    private String nickName;

    @TableField(exist = false)
    private String url;


}


