package org.rcisoft.business.cmsOrder.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.cmsOrder.entity.CmsOrder;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2025年1月6日 下午1:44:44.
*/

public interface CmsOrderRepository extends CyBaseMapper<CmsOrder> {


    List<CmsOrder> queryCmsOrders(@Param("entity") CmsOrder cmsOrder);

    /**
    * 分页查询 cmsOrder
    *
    */
    IPage<CmsOrder> queryCmsOrdersPaged(CyPageInfo cyPageInfo,@Param("entity") CmsOrder cmsOrder);

    /**
     * 查询会员我的订单列表
     *
     * @param orderInfo 订单
     * @return 订单集合
     */
    List<CmsOrder> queryOrderUserList(@Param("entity")CmsOrder orderInfo);

    /**
     * 根据id查询订单其他信息
     *
     * @return 订单集合
     */
    List<CmsOrder> queryOrderInfoByIds(@Param("list") List<CmsOrder> list);
}

