package org.rcisoft.business.cmsOrder.entity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.rcisoft.business.cmsOrder.dto.OrderActivityDto;
import org.rcisoft.core.entity.CyIdSnowflakeEntity;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;

/**
* Created with cy on 2025年1月6日 下午1:44:44.
*/
@Data
@TableName("cms_order")
public class CmsOrder  extends CyIdSnowflakeEntity<CmsOrder> {



     /**
     * @desc 订单名称
     * @column name
     * @default
     */
     @Excel(name = "订单名称", orderNum = "0", width = 20)
     private String name;

     /**
     * @desc 商品id
     * @column goods_id
     * @default
     */
     @Excel(name = "商品id", orderNum = "1", width = 20)
     private Integer goodsId;

     /**
     * @desc 会员id
     * @column user_id
     * @default
     */
     @Excel(name = "会员id", orderNum = "2", width = 20)
     private Integer userId;

     /**
     * @desc 会员账号
     * @column account
     * @default
     */
     @Excel(name = "会员账号", orderNum = "3", width = 20)
     private String account;

     /**
     * @desc 购买数量
     * @column num
     * @default
     */
     @Excel(name = "购买数量", orderNum = "4", width = 20)
     private Integer num;

     /**
     * @desc 总价
     * @column price
     * @default
     */
     @Excel(name = "总价", orderNum = "5", width = 20)
     private BigDecimal price;

     /**
     * @desc 支付金额
     * @column pay_price
     * @default
     */
     @Excel(name = "支付金额", orderNum = "6", width = 20)
     private BigDecimal payPrice;

     /**
     * @desc 订单类型
     * @column type
     * @default
     */
     @Excel(name = "订单类型", orderNum = "7", width = 20)
     private Integer type;

     /**
     * @desc 下单时间
     * @column order_time
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "下单时间", orderNum = "8", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date orderTime;

     /**
     * @desc 微信支付订单号
     * @column transaction_id
     * @default
     */
     @Excel(name = "微信支付订单号", orderNum = "9", width = 20)
     private String transactionId;

     /**
     * @desc 退款时间
     * @column refund_time
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "退款时间", orderNum = "10", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date refundTime;

     /**
     * @desc 退款次数
     * @column refund_count
     * @default
     */
     @Excel(name = "退款次数", orderNum = "11", width = 20)
     private Integer refundCount;

     /**
     * @desc 订单状态（0 待支付   1已取消   2退款中   3退款中   4后台退款中   5后台退款中   6退款完成   7后台退款完成   8支付中   9 支付完成   10订单关闭  11已核销）
     * @column status
     * @default
     */
     @Excel(name = "订单状态（0 待支付   1已取消   2退款中   3退款中   4后台退款中   5后台退款中   6退款完成   7后台退款完成   8支付中   9 支付完成   10订单关闭  11已核销）", orderNum = "12", width = 20)
     private Integer status;

     /**
     * @desc 核销商家id
     * @column cancel_id
     * @default
     */
     @Excel(name = "核销商家id", orderNum = "13", width = 20)
     private BigInteger cancelId;

     /**
     * @desc 核销时间
     * @column cancel_time
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "核销时间", orderNum = "14", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date cancelTime;


     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;


     //同步状态 0未同步  1已同步
     @Transient
     @TableField(exist = false)
     private Integer state;

     //后台人工退单字段
     @Transient
     @TableField(exist = false)
     private Integer manualRefund;

     //订单状态list
     @Transient
     @TableField(exist = false)
     private List<Integer> statusList;

     //活动图片
     @Transient
     @TableField(exist = false)
     private String imgUrl;

     //活动开始时间
     @Transient
     @TableField(exist = false)
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date activityBeginDate;

     @Transient
     @TableField(exist = false)
     private List<OrderActivityDto> dtos;
}

