package org.rcisoft.business.opmTopic.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.opmTopic.entity.OpmTopic;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 下午1:42:40.
 */
public interface OpmTopicService {

    /**
    * 保存 话题
    * @param opmTopic
    * @return
    */
    CyPersistModel persist(OpmTopic opmTopic);

    /**
    * 删除 话题
    * @param opmTopic
    * @return
    */
    CyPersistModel remove(OpmTopic opmTopic);

    /**
    * 修改 话题
    * @param opmTopic
    * @return
    */
    CyPersistModel merge(OpmTopic opmTopic);

    /**
    * 根据id查询 话题
    * @param id
    * @return
    */
    OpmTopic findById(Integer id);

    /**
    * 分页查询 话题
    * @param opmTopic
    * @return
    */
    IPage<OpmTopic> findAllByPagination(CyPageInfo<OpmTopic> paginationUtility,
                                        OpmTopic opmTopic);


    /**
    * 查询list 话题
    * @param opmTopic
    * @return
    */
    List<OpmTopic> findAll(OpmTopic opmTopic);


    /**
    * 导出话题
    * @return
    */
    List<OpmTopic> export(OpmTopic opmTopic);
    /**
     * 修改状态
     */

    CyPersistModel updateStatus(OpmTopic opmTopic);


    CyPersistModel updateExamStatus(OpmTopic opmTopic);
    CyPersistModel updateNoExamStatus(OpmTopic opmTopic);
}
