package org.rcisoft.core.schedule;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.business.cmsActivity.dao.CmsActivityRepository;
import org.rcisoft.business.cmsActivity.entity.CmsActivity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;


@Component
@Slf4j
public class ActivitySyncSchedule {


    @Autowired
    private CmsActivityRepository activityInfoRepository;

    //定时同步活动状态结束
//    @Scheduled(cron = "0 0/10 * * * ?")
    @Transactional(propagation = Propagation.REQUIRED, isolation = Isolation.DEFAULT)
    public void execute() {
        // 查询DB中的未删除的活动
        QueryWrapper<CmsActivity> wrapper = new QueryWrapper<>();
        wrapper.eq("del_flag",0);
        List<CmsActivity> list = activityInfoRepository.selectList(wrapper);
        for (CmsActivity activityInfo : list) {
            //如果活动结束时间已过，改状态为已过期
            if (activityInfo.getEndTime().before(new Date())) {
                CmsActivity info = new CmsActivity();
                info.setBusinessId(activityInfo.getBusinessId());
//                info.setStatus(2);
//                activityInfoRepository.updateById(info);
            }
        }
    }


}
